Skip to content

Product

Product and pricing endpoints

List Products

Request

Get list of available products and pricing

Security
bearerToken
curl -i -X GET \
  https://docs.exolink.com/_mock/apis/exolink_api/product \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

List of products

Bodyapplication/json
Array [
idinteger

Unique identifier for the product

Example:1
namestring

Internal product name

Example:"connect_basic"
displayNamestring

Display name for the product

Example:"Connect Basic"
descriptionstring

Product description

activeboolean

Whether the product is currently active and available for purchase

priceinteger

Price in cents

Example:2900
stripeProductIdstring

Stripe product ID

stripePriceIdstring

Stripe price ID

metadataobject

Product metadata including type, limits, and features

createdAtstring, (date-time)
updatedAtstring, (date-time)
]
Response
[ { "id": 1, "name": "connect_basic", "displayName": "Connect Basic", "description": "string", "active": true, "price": 2900, "stripeProductId": "string", "stripePriceId": "string", "metadata": {}, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ]